import request from "@/utils/request.js";

/**
 * 创建订单
 * 
 */
export function createOrder(data) {
  return request.post('system/front/order', data);
}


/**
 * 获取数据字典
 * @param {Object} data
 */
export function dictList(data) {
  return request.get('system/dict/data/type/'+ data);
}


/**
 * 支付结果
 * 
 */
export function payResult(data) {
  return request.post('mini/order/payResult/'+ data.orderId, data);
}
/**
 * 查询订单列表
 * 
 */
export function getOrderListApi(data) {
  return request.get('system/front/order/list', data);
}
/**
 * 查询订单列表
 * 
 */
export function getOrderList(data) {
  return request.get('mini/order/list', data);
}
/**
 * 查询订单详情
 * 
 */
export function getOrderDetail({id=''}) {
  return request.get('mini/order/'+id, {});
}


